# Uses of Class
org.kapott.hbci.status.HBCIRetVal

Packages that use HBCIRetVal
Package
Description
org.kapott.hbci.dialog
org.kapott.hbci.GV_Result
In diesem Package sind Klassen enthalten, die die Ergebnisse von HBCI-Jobs aufnehmen und auswerten.
org.kapott.hbci.status
Dieses Paket enthält Klassen, die Status-Informationen zu einzelnen Aufträgen, Nachrichten oder Dialogen bereitstellen.

## Uses of HBCIRetVal in org.kapott.hbci.dialog

Methods in org.kapott.hbci.dialog that return HBCIRetVal
Modifier and Type
Method
Description
`HBCIRetVal`
KnownReturncode.`searchReturnValue(HBCIRetVal[] rets)`
Sucht nach dem angegebenen Status-Code in den Rueckmeldungen und liefert den Code zurueck.
Methods in org.kapott.hbci.dialog that return types with arguments of type HBCIRetVal
Modifier and Type
Method
Description
`List<HBCIRetVal>`
KnownReturncode.`searchReturnValues(HBCIMsgStatus status)`
Sucht im gesamten Nachrichten-Status nach dem Status-Code.
`List<HBCIRetVal>`
KnownReturncode.`searchReturnValues(HBCIRetVal[] rets)`
Sucht nach dem angegebenen Status-Code in den Rueckmeldungen und liefert den Code zurueck.
Methods in org.kapott.hbci.dialog with parameters of type HBCIRetVal
Modifier and Type
Method
Description
`HBCIRetVal`
KnownReturncode.`searchReturnValue(HBCIRetVal[] rets)`
Sucht nach dem angegebenen Status-Code in den Rueckmeldungen und liefert den Code zurueck.
`List<HBCIRetVal>`
KnownReturncode.`searchReturnValues(HBCIRetVal[] rets)`
Sucht nach dem angegebenen Status-Code in den Rueckmeldungen und liefert den Code zurueck.

## Uses of HBCIRetVal in org.kapott.hbci.GV_Result

Fields in org.kapott.hbci.GV_Result declared as HBCIRetVal
Modifier and Type
Field
Description
`HBCIRetVal`
GVRStatus.Entry.`retval`
Status (ein HBCI-Returncode) des Auftrages
Methods in org.kapott.hbci.GV_Result that return HBCIRetVal
Modifier and Type
Method
Description
`HBCIRetVal`
HBCIJobResult.`getRetVal(int idx)`
Gibt einen bestimmten HBCI-Statuscode aus den Job-Statusinformationen zurück.
`HBCIRetVal`
HBCIJobResultImpl.`getRetVal(int idx)`

## Uses of HBCIRetVal in org.kapott.hbci.status

Methods in org.kapott.hbci.status that return HBCIRetVal
Modifier and Type
Method
Description
`HBCIRetVal[]`
HBCIStatus.`getErrors()`
Gibt die in diesem Objekt gespeicherten Fehlermeldungen zurück
`HBCIRetVal`
HBCIMsgStatus.`getInvalidPINCode()`
Liefert den Status-Code fuer "PIN falsch", insofern er im Response enthalten ist.
`HBCIRetVal[]`
HBCIStatus.`getRetVals()`
Gibt alle in diesem Status-Objekt gespeicherten Rückgabewerte zurück
`HBCIRetVal[]`
HBCIStatus.`getSuccess()`
Gibt die in diesem Objekt gespeicherten Erfolgsmeldungen zurück
`HBCIRetVal[]`
HBCIStatus.`getWarnings()`
Gibt die in diesem Objekt gespeicherten Warnungen zurück
Methods in org.kapott.hbci.status with parameters of type HBCIRetVal
Modifier and Type
Method
Description
`void`
HBCIStatus.`addRetVal(HBCIRetVal ret)`
Wird von der HBCI4Java-Dialog-Engine aufgerufen